Skip to main content
`Ctrl`+`K`

# PetscDrawStringGetSize

Gets the size for character text. The width is relative to the user coordinates of the window.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawStringGetSize(PetscDraw draw, PetscReal *width, PetscReal *height)

Not Collective

## Input Parameters

- draw - the drawing context

- width - the width in user coordinates

- height - the character height

## See Also

`PetscDraw`, `PetscDrawStringVertical()`, `PetscDrawString()`, `PetscDrawStringCentered()`, `PetscDrawStringBoxed()`, `PetscDrawStringSetSize()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dtext.c

## Implementations

PetscDrawStringGetSize_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawStringGetSize_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawStringGetSize_TikZ() in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawStringGetSize_Win32() in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawStringGetSize_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages